# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""update workflow definition for test_download

Revision ID: 50ff97fe0c2a
Revises: 25add553c317
Create Date: 2021-03-04 16:55:57.373412

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "50ff97fe0c2a"
down_revision = "25add553c317"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE capabilities "
        "SET capability_steps = 'prepare-and-run-workflow test_download\nawait-workflow' "
        "WHERE capability_name = 'test_download'"
    )
    op.execute("DELETE FROM workflow_templates WHERE workflow_name = 'test_download'")
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) "
        "VALUES ('test_download', 'test_download.condor', "
        "E'executable = test_download.sh\narguments = {{product_locator}}"
        "\nerror = test_download.err\nlog = test_download.log\n\n\nqueue')"
    )
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) VALUES "
        "('test_download', 'test_download.sh', E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n')"
    )


def downgrade():
    pass
